package ink.wgink.module.form.controller.route.docnolog;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: DocNoLogController
 * @Description: 文号日志
 * @Author: CodeFactory
 * @Date: 2022-06-29 11:25:56
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "文号日志路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/doc-no-log")
public class DocNoLogRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("doc-no-log/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("doc-no-log/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("doc-no-log/list");
    }

}